<?php

declare(strict_types=1);

namespace Drupal\symfony_mailer\Plugin\Mailer;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\symfony_mailer\Attribute\Mailer;
use Drupal\symfony_mailer\EmailInterface;
use Drupal\symfony_mailer\Processor\TokenProcessor;

/**
 * Defines the Mailer plug-in for user registration password module.
 */
#[Mailer(
  id: "user_registrationpassword",
  sub_defs: [
    "register_confirmation_with_pass" => new TranslatableMarkup("Welcome (no approval required, password is set)"),
  ],
  token_types: ["user"],
)]
class UserRegistrationPasswordMailer extends UserMailer {

  /**
   * {@inheritdoc}
   */
  public function init(EmailInterface $email): void {
    $tp = (new TokenProcessor())->setOptions(['callback' => 'user_registrationpassword_mail_tokens', 'clear' => TRUE]);
    $email->addProcessor($tp);
  }

}
